Subject: Re: how to do wiretaping , what streams and topology is needed

From: Tom-PT Taylor <[email-masked]>
Date: Thu, 1 Feb 2001 12:19:46 -0500

It doesn't seem like we can take this one much further -- the market (and
the law) will decide.  Megaco supplies the tools if needed, but we're not
dictating the implementations.  It's certainly sensible to look at doing
wiretapping at the access router, and standards work may be needed in that
area.  But that's well outside Megaco's scope.

-----Original Message-----
From: Rosen, Brian [mailto:[email-masked]]
Sent: Thursday, February 01, 2001 11:42 AM
To: Taylor, Tom-PT [NORSE:B901:EXCH]; [email-masked]
Subject: RE: how to do wiretaping , what streams and topology is needed

Sure, and that would work, but how many operators would accept a solution
that
was as limiting as that, in preference to solving it in a way that works as
you get
to residential gateways on one or both ends?  I think that solutions that
only work
when both ends are Access or Trunk gateways will fail in the face of forward
thinking
solutions that work for a wider range of networks.  After all, the trunk and
access
gateways wouldn't have to change in any other way to expand to residential
GWs.

Brian

-----Original Message-----
From: Tom-PT Taylor [mailto:[email-masked]]
Sent: Thursday, February 01, 2001 11:27 AM
To: [email-masked]
Subject: Re: how to do wiretaping , what streams and topology is needed

The most likely case where you could have a gateway doing the tap is where
the MGC and MG are both on telco premises (i.e.) the MG is replacing a more
traditional line peripheral serving analogue or ISDN lines.

> -----Original Message-----
> From: Rosen, Brian [ mailto:[email-masked]
<mailto:[email-masked]> ]
> Sent: Thursday, February 01, 2001 10:36 AM
> To: Taylor, Tom-PT [NORSE:B901:EXCH];
> [email-masked]
> Subject: RE: how to do wiretaping , what streams and topology
> is needed
>
>
> See my earlier reply.  I don't think you can tap at the gateway,
> so I don't think it matters.  You have to create a circumstance where
> the customer is not aware of tapping.  Therefore, no message sequence
> can be different with a tap then without.  This rules out tapping
> at any MG on a customer premises.  It also rules out a "tap box"
> (ie connect the tappee to the tap box and the tap box to the
> other end, or mix the tap box with an end).  It means that the box
> with the tap hardware has to always be in the path of the media
> stream, but not at the end (at least not at the end in a customer
> premises).  I claim the obvious place is the access router.
>
> I'll note that this discussion may get us in trouble with the privacy
> zealots, who succeeded in creating a rule in the IETF that no feature
> used solely for wiretap would be permitted.
>
> Brian
>
> > -----Original Message-----
> > From: Tom Taylor [ mailto:[email-masked]
<mailto:[email-masked]> ]
> > Sent: Thursday, February 01, 2001 9:45 AM
> > To: [email-masked]
> > Subject: Re: how to do wiretaping , what streams and topology
> > is needed
> >
> >
> > I maintained during the wiretapping debate that you didn't
> > need topology
> > to do it.  In fact, if there is modem traffic or if the MG
> > can't (as you
> > postulate in your final question) mix the two directions of
> > traffic, you
> > really need to add TWO wiretapping terminations to the
> context and use
> > topology to direct the flow from each participant separately
> > to its own
> > wiretap.  In some cases the legal authorities are entitled to
> > hear only
> > one side of the conversation, in which case there would just be one
> > wiretap termination.
> >
> > I have to apologize to Christian for not pushing to make topology a
> > compulsory part of the spec.  I think people will find it is
> > compulsory
> > in the real world.
> >
> > Shlomo Kabaz ECItelecom wrote:
> > >
> > > Hi  list  !
> > >
> > > I  read the relevant  history mail regarding streams, topology and
> > > wiretaping and could not find
> > > the complete answer to my problem which is :
> > >
> > > I  have  tow terminations in a context , T1  and T2  , and
> > i constructed a
> > > full regular call on them , T1 is physical
> > > and T2 is ephemeral .   In  both terminations there is one
> > stream which has
> > > the default streamId = 1 , and both
> > > stream in both terminations are set to send/receive mode .
> > >
> > > I want  to do wiretaping to that call , I understand that i
> > have to do the
> > > following :
> > >
> > > 1. add a new ephemeral termination to the context that
> will send the
> > > wiretaped stream out of the gateway.
> > > 2. send a topology descriptor that will tell : T1,T3, oneway .
> > > T2,T3,oneway .
> > > 3. do not add new streams to T1 and T2 .
> > >
> > > Is that correct and  can you add this scenario to the "call
> > flows" that is
> > > being talk about .
> > >
> > > Another issue that  trabbled me a bout the wiretaping is this:
> > > Actually , when the  tow people  are talking in the call
> > that i mentioned ,
> > > termination T1  with T2 , the flows of data ,
> > > is going in bothways , meaning send and receive , to the
> > people talking ,
> > > and if for instance the man from one side
> > > talk at the same time with the man from the other side than
> > , each of them
> > > receives rx flow  tx flow at the same time ,
> > > and the "conferecing"  funtionality is doen in the people minds .
> > > So my question is : Is wiretaping to this call , even with
> > tow terminations
> > > , needs confferecing functionality ??
> > >
> > > best regards !
> >
>

---

From: Christian Groves <[email-masked]>
Date: Fri, 2 Feb 2001 16:11:19 +1100

G'Day all,

Depending on your network scenario you'll wiretap at different points.
Wiretapping at a MG is a perfectly acceptable and practical way of
wiretapping in certain network scenarios. ie. What is an access router
when you don't have an IP network??? Megaco gives you the tools via
topology to do this without the end terminations knowing that this
occurs.

Cheers, Christian